## linux-liquorix 5.5

=== debian/changelog ===
linux-liquorix (5.5-8~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Feb 2020 22:43:11 -0800

linux-liquorix (5.5-8ubuntu1~xenial) xenial; urgency=medium

  * merge 5.5.5
  * add early kswapd termination patch (reduce hitching on VM pressure)
   - mm: Stop kswapd early when nothing's waiting for it to free pages
  * disable transcendent memory options (reduce hitching on VM pressure)
  * update version to 5.5.0-5.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 19 Feb 2020 19:26:45 -0600

linux-liquorix (5.5-7) unstable; urgency=medium

  * merge 5.5.4
  * update version to 5.5.0-4.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 15 Feb 2020 11:56:22 -0600

linux-liquorix (5.5-6) unstable; urgency=medium

  * revert 5.5.4 release candidate patches (build error)
  * update version to 5.5.0-3.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 12 Feb 2020 20:59:02 -0600

linux-liquorix (5.5-5) unstable; urgency=medium

  * merge 5.5.3
  * merge 5.5.4 release candidate patches
  * merge latest futex-multiple-wait patch series
  * update version to 5.5.0-3.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 12 Feb 2020 20:39:31 -0600

linux-liquorix (5.5-4) unstable; urgency=medium

  * merge 5.5.3 release candidate patches
  * backport Linus pipe performance optimization:
   - pipe: use exclusive waits when reading or writing
  * update version to 5.5.0-2.2

 -- Steven Barrett <steven@liquorix.net>  Sun, 09 Feb 2020 12:37:54 -0600

linux-liquorix (5.5-3) unstable; urgency=medium

  * merge 5.5.2
  * refresh nvidia alsa patch with latest revision
  * update MuQSS from 0.196 to 0.198
  * pull in latest changes from zen-kernel/5.5/master
  * update version to 5.5.0-2.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 05 Feb 2020 19:27:01 -0600

linux-liquorix (5.5-2) unstable; urgency=medium

  * merge 5.5.2 release candidate patches
  * prefer SOC/SST drivers over SOF whenever possible
  * backport nvidia hdmi audio fix
   - ALSA: hda - Fix DP-MST support for NVIDIA codecs
  * update version to 5.5.0-1.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 03 Feb 2020 19:08:48 -0600

linux-liquorix (5.5-1) unstable; urgency=medium

  * switch to kernel 5.5
  * merge 5.5.1
  * refresh configuration "make oldconfig"
  * update version to 5.5.0-1.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 01 Feb 2020 17:25:09 -0600

linux-liquorix (5.4-23) unstable; urgency=medium

  * merge 5.4.17
  * update version to 5.4.0-17.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 01 Feb 2020 12:27:22 -0600

linux-liquorix (5.4-22) unstable; urgency=medium

  * merge 5.4.16 (no-op)
  * backport BFQ fixes
  * update version to 5.4.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 01 Feb 2020 12:07:56 -0600

linux-liquorix (5.4-21) unstable; urgency=medium

  * merge 5.4.16 release candidate patches
  * backport upstream updates to debian scripts and templates
   - sourced from linux-siduction_5.4-15
  * update version to 5.4.0-15.2

 -- Steven Barrett <steven@liquorix.net>  Tue, 28 Jan 2020 20:02:40 -0600

linux-liquorix (5.4-20) unstable; urgency=medium

  * merge 5.4.15
  * switch kernel tick operation from tickless idle to periodic (fix time
    accounting)
  * enable forced IRQ threading (more stable on periodic tick)
  * properly switch to new exfat code dump from Samsung
  * update version to 5.4.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 26 Jan 2020 13:01:38 -0600

linux-liquorix (5.4-19) unstable; urgency=medium

  * merge 5.4.14 release candidate patches (more since last release)
  * set kernel tick to 250hz tickless idle (4ms)
  * disable granular IRQ time accounting
  * switch to samsung exfat implementation
  * update version to 5.4.0-13.4

 -- Steven Barrett <steven@liquorix.net>  Wed, 22 Jan 2020 18:50:15 -0600

linux-liquorix (5.4-18) unstable; urgency=medium

  * revert stable patch that causes build errors:
   - io_uring: only allow submit from owning task
  * refresh configuration with "make oldconfig"
  * update version to 5.4.0-13.3

 -- Steven Barrett <steven@liquorix.net>  Sat, 18 Jan 2020 14:39:05 -0600

linux-liquorix (5.4-17) unstable; urgency=medium

  * merge 5.4.13
  * merge 5.4.14 release candidate patches
  * restore high resolution patches
  * merge more fixes from zen-kernel 5.4/master
  * update version to 5.4.0-13.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 18 Jan 2020 13:59:38 -0600

linux-liquorix (5.4-16) unstable; urgency=medium

  * merge 5.4.13
  * revert high resolution timeout patches
  * update version to 5.4.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 17 Jan 2020 16:17:31 -0600

linux-liquorix (5.4-15) unstable; urgency=medium

  * merge 5.4.12
  * merge 5.4.13 release candidate patches
  * restore SOF support, use Arch mainline configuration for SND_SOF_*
  * increase SND_HDA_PREALLOC_SIZE from 64 to 4096 (Arch mainline config)
  * zen: revert patch for GPU hang on transition to idle
  * update version to 5.4.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 15 Jan 2020 14:42:15 -0600

linux-liquorix (5.4-14) unstable; urgency=medium

  * merge 5.4.12 release candidate patches
  * reduce up threshold for MuQSS (40/45, def/micro)
  * update version to 5.4.0-11.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 13 Jan 2020 20:31:26 -0600

linux-liquorix (5.4-13) unstable; urgency=medium

  * merge 5.4.11
  * revert cpufreq transition tweak
  * update version to 5.4.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 12 Jan 2020 12:01:41 -0600

linux-liquorix (5.4-12) unstable; urgency=medium

  * tune cpufreq to transition p-states with less samples
  * update version to 5.4.0-10.3

 -- Steven Barrett <steven@liquorix.net>  Sat, 11 Jan 2020 15:11:41 -0600

linux-liquorix (5.4-11) unstable; urgency=medium

  * merge 5.4.11 release candidate patches
  * restore runqueue sharing to MC-LLC
  * restore threaded preemptable tree RCU
  * update version to 5.4.0-10.2


