## linux-liquorix 5.6

=== debian/changelog ===
linux-liquorix (5.6-8~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 12 May 2020 15:02:43 -0700

linux-liquorix (5.6-8ubuntu1~xenial) xenial; urgency=medium

  * merge 5.6.12
  * add FSGSBASE enhancement
  * update version to 5.6.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 10 May 2020 12:25:07 -0500

linux-liquorix (5.6-7) unstable; urgency=medium

  * merge 5.6.12 release candidate patches
  * revert scatterlist optimization (allocation errors when compiling on
    specific systems)
  * restore tickless idle + 1000hz
  * drop code supporting gcc 4.7 and lower
  * update version to 5.6.0-11.3

 -- Steven Barrett <steven@liquorix.net>  Sat, 09 May 2020 13:22:46 -0500

linux-liquorix (5.6-6) unstable; urgency=medium

  * merge 5.6.12 release candidate patches
  * add scatterlist optimization from kerneltoast
   - scatterlist: Don't allocate sg lists using __get_free_page
  * disable tickless idle (again)
  * switch tickrate from 1000hz to 250hz (again)
  * update version to 5.6.0-11.2

 -- Steven Barrett <steven@liquorix.net>  Thu, 07 May 2020 17:01:34 -0500

linux-liquorix (5.6-5) unstable; urgency=medium

  * merge 5.6.11
  * update version to 5.6.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 06 May 2020 19:16:13 -0500

linux-liquorix (5.6-4) unstable; urgency=medium

  * merge MuQSS v0.200
  * enable tickless idle
  * switch tick rate from 250hz to 1000hz
  * enable CGROUP options RDMA and PIDS
  * enable Pressure Stall Information (CONFIG_PSI), disabled by default
  * update version to 5.6.0-10.2

 -- Steven Barrett <steven@liquorix.net>  Tue, 05 May 2020 17:29:52 -0500

linux-liquorix (5.6-3) unstable; urgency=medium

  * merge 5.6.10
  * add "parallelize deferred page init" enhancement
  * update version to 5.6.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 02 May 2020 12:33:43 -0500

linux-liquorix (5.6-2) unstable; urgency=medium

  * merge 5.6.8
  * merge muqss 0.199
  * enable CONFIG_PROC_EVENTS
  * restore compaction on unevictable pages
  * update version to 5.6.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 29 Apr 2020 14:18:50 -0500

linux-liquorix (5.6-1) unstable; urgency=medium

  * switch to kernel 5.6
  * merge 5.6.7
  * update version to 5.6.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 24 Apr 2020 17:35:08 -0500

linux-liquorix (5.5-23) unstable; urgency=medium

  * merge 5.5.19
  * update version to 5.5.0-19.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 21 Apr 2020 09:53:29 -0500

linux-liquorix (5.5-22) unstable; urgency=medium

  * merge 5.5.18
  * restore transcendent memory options + zswap
  * update version to 5.5.0-18.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 17 Apr 2020 19:07:54 -0500

linux-liquorix (5.5-21) unstable; urgency=medium

  * merge 5.5.17 release candidate patches
  * disable watermark boosting (per kerneltoast)
   - mm: Disable watermark boosting by default
   - mm: Fully disable watermark boosting when it isn't used
  * update version to 5.5.0-16.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 10 Apr 2020 22:14:11 -0500

linux-liquorix (5.5-20) unstable; urgency=medium

  * merge 5.5.16
  * update version to 5.5.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 08 Apr 2020 09:04:27 -0500

linux-liquorix (5.5-19) unstable; urgency=medium

  * merge 5.5.15
  * restore + update WireGuard v5.5 backport for 2020-04-02
  * update version to 5.5.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 02 Apr 2020 10:26:48 -0500

linux-liquorix (5.5-18) unstable; urgency=medium

  * revert WireGuard support (build broke in 5.5.14)
  * update version to 5.5.0-14.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 01 Apr 2020 16:51:15 -0500

linux-liquorix (5.5-17) unstable; urgency=medium

  * merge 5.5.14
  * add WireGuard backport for 5.5
  * update version to 5.5.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 01 Apr 2020 15:31:00 -0500

linux-liquorix (5.5-16) unstable; urgency=medium

  * merge 5.5.13
  * backport bugfixes for BFQ
  * update version to 5.5.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 25 Mar 2020 14:00:15 -0500

linux-liquorix (5.5-15) unstable; urgency=medium

  * merge 5.5.11
  * update version to 5.5.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 21 Mar 2020 23:24:30 -0500

linux-liquorix (5.5-14) unstable; urgency=medium

  * remove ZSTD compression for linux image, switch back to LZ4
  * update version to 5.5.0-10.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 18 Mar 2020 11:33:12 -0500

linux-liquorix (5.5-13) unstable; urgency=medium

  * merge 5.5.10
  * add and use ZSTD compression for linux image
  * re-enable all SST and SOF drivers
  * update version to 5.5.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 18 Mar 2020 09:45:53 -0500

linux-liquorix (5.5-12) unstable; urgency=medium

  * merge 5.5.9
  * update version to 5.5.0-9.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 12 Mar 2020 14:34:37 -0500

linux-liquorix (5.5-11) unstable; urgency=medium

  * merge 5.5.8
  * update version to 5.5.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 05 Mar 2020 15:53:48 -0600

linux-liquorix (5.5-10) unstable; urgency=medium

  * merge 5.5.7
  * merge 5.5.8 release candidate patches
  * update version to 5.5.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 01 Mar 2020 09:11:06 -0600

linux-liquorix (5.5-9) unstable; urgency=medium

  * merge 5.5.6 release candidate patches
  * update to v2 kswapd patch
  * update version to 5.5.0-5.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 21 Feb 2020 15:23:17 -0600

linux-liquorix (5.5-8) unstable; urgency=medium

  * merge 5.5.5
  * add early kswapd termination patch (reduce hitching on VM pressure)
   - mm: Stop kswapd early when nothing's waiting for it to free pages
  * disable transcendent memory options (reduce hitching on VM pressure)
  * update version to 5.5.0-5.1


