## linux-liquorix 5.7

=== debian/changelog ===
linux-liquorix (5.7-8~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 10 Jul 2020 14:15:51 -0700

linux-liquorix (5.7-8ubuntu1~xenial) xenial; urgency=medium

  * merge 5.7.8
  * fix OpenRGB double piix4 initialization
   - openrgb: Deduplicate piix4 setup for HUDSON2/KERNCZ SMBUS
  * add enhancements for HID/designware hardware from kerneltoast:
   - i2c: designware: Fix transfer failures for invalid SMBus block reads
   - i2c: designware: Allow SMBus block reads up to 255 bytes in length
   - HID: i2c-hid: Use block reads when possible to save power
  * fix support for some Intel 9560 WiFi chips:
   - iwlwifi: Make some Killer Wireless-AC 1550 cards working again
  * update version to 5.7.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 09 Jul 2020 14:55:04 -0500

linux-liquorix (5.7-7) unstable; urgency=medium

  * merge 5.7.7
  * restore "sched/core: Fix illegal RCU from offline CPUs"
  * revert invocation of "finish_cpu" for MuQSS under CPUHP_BRINGUP_CPU
  * update version to 5.7.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 01 Jul 2020 09:18:17 -0500

linux-liquorix (5.7-6) unstable; urgency=medium

  * revert backport to sched/MuQSS.c, causes oops on boot
  * revert commit causing CPU offline bug on MuQSS (will restore when fixed)
   - c27085d11ff5f sched/core: Fix illegal RCU from offline CPUs
  * update version to 5.7.0-6.4

 -- Steven Barrett <steven@liquorix.net>  Thu, 25 Jun 2020 18:30:29 -0500

linux-liquorix (5.7-5) unstable; urgency=medium

  * backport change from sched/core.c to sched/MuQSS.c that broke suspend
   - https://github.com/zen-kernel/zen-kernel/commit/f31407cb1f5f62435f3f4a407951b74bba23557a
  * update version to 5.7.0-6.3

 -- Steven Barrett <steven@liquorix.net>  Thu, 25 Jun 2020 17:30:33 -0500

linux-liquorix (5.7-4) unstable; urgency=medium

  * add boot fix for badly configured systems using EFI
   - efi/libstub: Fix path separator regression
  * enable options for suspend debugging
   - CONFIG_PM_DEBUG
   - CONFIG_PM_SLEEP_DEBUG
  * update version to 5.7.0-6.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 24 Jun 2020 21:12:32 -0500

linux-liquorix (5.7-3) unstable; urgency=medium

  * merge 5.7.6
  * disable CONFIG_ACPI_TINY_POWER_BUTTON
  * backport CONFIG_ACPI_*=y configuration from Arch Linux
  * disable CONFIG_X86_X32
  * update version to 5.7.0-6.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 23 Jun 2020 08:02:48 -0500

linux-liquorix (5.7-2) unstable; urgency=medium

  * merge 5.7.5
  * add block layer bio throttling support (CONFIG_BLK_DEV_THROTTLING)
  * add writeback throttling support, disabled (CONFIG_BLK_WBT)
  * update version to 5.7.0-5.1

 -- Steven Barrett <steven@liquorix.net>  Mon, 22 Jun 2020 09:15:46 -0500

linux-liquorix (5.7-1) unstable; urgency=medium

  * switch to kernel v5.7
  * merge 5.7.4
  * merge 5.7.5 rc patches
  * refresh configuration for 5.7
  * add OpenRGB support
  * enable CONFIG_I2C_NCT6775 for OpenRGB
  * enable CONFIG_CHECKPOINT_RESTORE
  * update version to 5.7.0-4.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 19 Jun 2020 09:13:54 -0500

linux-liquorix (5.6-19) unstable; urgency=medium

  * merge 5.6.17 rc patches
  * disable forced IRQ threading
  * update version to 5.6.0-16.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 06 Jun 2020 19:08:24 -0500

linux-liquorix (5.6-18) unstable; urgency=medium

  * merge 5.6.16
  * update version to 5.6.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 04 Jun 2020 18:02:05 -0500

linux-liquorix (5.6-17) unstable; urgency=medium

  * revert FSGSBASE patches (issues with VBox)
  * revert padata patches (boot issues on some systems)
  * update version to 5.6.0-15.2

 -- Steven Barrett <steven@liquorix.net>  Thu, 28 May 2020 09:08:49 -0500

linux-liquorix (5.6-16) unstable; urgency=medium

  * merge 5.6.15
  * restore "enable CGROUP options RDMA and PIDS"
  * disable "powersave" acpi-cpufreq governor
  * disable "conservative" acpi-cpufreq governor
  * backport updates to debian templates and python
  * update version to 5.6.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 27 May 2020 19:52:03 -0500

linux-liquorix (5.6-15) unstable; urgency=medium

  * merge 5.6.14
  * backport suspend fix from stable queue
   - ACPI: EC: PM: Avoid flushing EC work when EC GPE is inactive
  * revert "enable CGROUP options RDMA and PIDS"
  * update version to 5.6.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 21 May 2020 12:32:08 -0500

linux-liquorix (5.6-14) unstable; urgency=medium

  * revert proactive compation patch, made system less responsive
  * update version to 5.6.0-13.5

 -- Steven Barrett <steven@liquorix.net>  Tue, 19 May 2020 15:44:26 -0500

linux-liquorix (5.6-13) unstable; urgency=medium

  * disable PSI due to report that MuQSS is unstable with it enabled
  * update version to 5.6.0-13.4

 -- Steven Barrett <steven@liquorix.net>  Tue, 19 May 2020 07:59:34 -0500

linux-liquorix (5.6-12) unstable; urgency=medium

  * remove 5.6.14 rc patches due to Ryzen boot issues
  * add L1TF fix for Ryzen CPUs under KVM
  * update version to 5.6.0-13.3

 -- Steven Barrett <steven@liquorix.net>  Tue, 19 May 2020 07:48:57 -0500

linux-liquorix (5.6-11) unstable; urgency=medium

  * merge 5.6.14 rc patches
  * add proactive compaction patch v5
  * add provides on "wireguard-modules" for Debian/Ubuntu
  * update version to 5.6.0-13.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 18 May 2020 21:13:52 -0500

linux-liquorix (5.6-10) unstable; urgency=medium

  * merge 5.6.13
  * merge 5.6.14 rc patches
  * disable intel_pstate by default (can be enabled with intel_pstate=enable)
  * update version to 5.6.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 15 May 2020 14:48:32 -0500

linux-liquorix (5.6-9) unstable; urgency=medium

  * merge 5.6.13 release candidate patches
  * merge MuQSS fixes/cleanups from ssb83
  * update version to 5.6.0-12.2


