## linux-liquorix 5.8

=== debian/changelog ===
linux-liquorix (5.8-8~mx17+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 17.

 -- andyprough <andyprough@protonmail.com>  Sat, 19 Sep 2020 16:11:11 -0500

linux-liquorix (5.8-8ubuntu1~xenial) xenial; urgency=medium

  * merge 5.8.0-10.1
  * update version to 5.8.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 17 Sep 2020 09:29:04 -0500

linux-liquorix (5.8-7) unstable; urgency=medium

  * add patch to fix partprobe regression
   - block: restore a specific error code in bdev_del_partition
  * update version to 5.8.0-9.3

 -- Steven Barrett <steven@liquorix.net>  Sun, 13 Sep 2020 18:25:55 -0500

linux-liquorix (5.8-6) unstable; urgency=medium

  * muqss: increase rr_interval from 2 to 4
  * update version to 5.8.0-9.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 12 Sep 2020 17:46:18 -0500

linux-liquorix (5.8-5) unstable; urgency=medium

  * merge 5.8.9
  * config: enable options for Anbox support
  * config: switch MuQSS RQ sharing from MC_LLC to MC
  * update version to 5.8.0-9.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 12 Sep 2020 11:21:37 -0500

linux-liquorix (5.8-4) unstable; urgency=medium

  * merge 5.8.8
  * update version to 5.8.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 09 Sep 2020 19:03:09 -0500

linux-liquorix (5.8-3) unstable; urgency=medium

  * merge 5.8.7
  * update version to 5.8.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 05 Sep 2020 09:14:00 -0500

linux-liquorix (5.8-2) unstable; urgency=medium

  * merge 5.8.6
  * update version to 5.8.0-6.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 03 Sep 2020 15:49:25 -0500

linux-liquorix (5.8-1) unstable; urgency=medium

  * switch to kernel 5.8
  * merge 5.8.5
  * merge clearlinux
  * port configuration from 5.7 to 5.8
  * update version to 5.8.0-5.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 02 Sep 2020 17:30:13 -0500

linux-liquorix (5.7-24) unstable; urgency=medium

  * merge 5.7.19
  * update version to 5.7.0-19.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 28 Aug 2020 09:12:28 -0500

linux-liquorix (5.7-23) unstable; urgency=medium

  * merge 5.7.18
  * update version to 5.7.0-18.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 26 Aug 2020 09:31:17 -0500

linux-liquorix (5.7-22) unstable; urgency=medium

  * merge 5.7.17
  * update version to 5.7.0-17.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 22 Aug 2020 16:03:10 -0500

linux-liquorix (5.7-21) unstable; urgency=medium

  * merge 5.7.16
  * update version to 5.7.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 19 Aug 2020 10:24:22 -0500

linux-liquorix (5.7-20) unstable; urgency=medium

  * merge 5.7.15
  * update version to 5.7.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 11 Aug 2020 17:58:18 -0500

linux-liquorix (5.7-19) unstable; urgency=medium

  * merge 5.7.14
  * merge 5.7.15 rc patches
  * update version to 5.7.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 07 Aug 2020 10:10:08 -0500

linux-liquorix (5.7-18) unstable; urgency=medium

  * merge 5.7.13
  * prefer AppArmor over selinux
  * update version to 5.7.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 05 Aug 2020 09:32:01 -0500

linux-liquorix (5.7-17) unstable; urgency=medium

  * merge 5.7.12
  * update version to 5.7.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 31 Jul 2020 13:09:33 -0500

linux-liquorix (5.7-16) unstable; urgency=medium

  * change compression build dependency from lz4 to zstd (fixes build errors)
  * update version to 5.7.0-11.2

 -- Steven Barrett <steven@liquorix.net>  Thu, 30 Jul 2020 08:38:07 -0500

linux-liquorix (5.7-15) unstable; urgency=medium

  * merge 5.7.11
  * add + set ZSTD as default kernel image compression
  * enable Intel HDMI silent stream support
  * add AMD graphics fix
   - drm/amd/display: Clear dm_state for fast updates
  * update version to 5.7.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 29 Jul 2020 18:53:18 -0500

linux-liquorix (5.7-14) unstable; urgency=medium

  * merge 5.7.10
  * merge 5.7.11 rc patches
  * add patch (in 5.7/zen-sauce), to fix huge mute delay on Intel HDMI audio:
   - ALSA: hda/hdmi: Add Intel silent stream support
  * update version to 5.7.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 23 Jul 2020 17:42:53 -0500

linux-liquorix (5.7-13) unstable; urgency=medium

  * add vbox support for new VBG_IOCTL_ACQUIRE_GUEST_CAPABILITIES ioctl
  * increase kernel log buffer from 64kb to 128kb
   - https://techpatterns.com/forums/about2817.html
  * merge 5.7.10 rc patches
  * update version to 5.7.0-9.3

 -- Steven Barrett <steven@liquorix.net>  Sun, 19 Jul 2020 16:01:18 -0500

linux-liquorix (5.7-12) unstable; urgency=medium

  * enable missing EFI/I2C config options
   - https://techpatterns.com/forums/about2816.html
  * update version to 5.7.0-9.2

 -- Steven Barrett <steven@liquorix.net>  Thu, 16 Jul 2020 15:48:11 -0500

linux-liquorix (5.7-11) unstable; urgency=medium

  * merge 5.7.9
  * update version to 5.7.0-9.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 16 Jul 2020 14:53:31 -0500

linux-liquorix (5.7-10) unstable; urgency=medium

  * merge 5.7.9 rc patches
  * update version to 5.7.0-8.3

 -- Steven Barrett <steven@liquorix.net>  Mon, 13 Jul 2020 19:38:02 -0500

linux-liquorix (5.7-9) unstable; urgency=medium

  * merge 5.7.9 rc patches
  * revert HID/designware patches (causes some touchpads to malfunction)
  * backport sched/core.c updates to MuQSS:
   - sched/core: Check cpus_mask, not cpus_ptr in __set_cpus_allowed_ptr(), to fix mask corruption
   - muqss: Backport update to "__set_cpus_allowed_ptr()" in sched/core.c
  * update version to 5.7.0-8.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 11 Jul 2020 19:10:50 -0500

linux-liquorix (5.7-8) unstable; urgency=medium

  * merge 5.7.8
  * fix OpenRGB double piix4 initialization
   - openrgb: Deduplicate piix4 setup for HUDSON2/KERNCZ SMBUS
  * add enhancements for HID/designware hardware from kerneltoast:

