## linux-liquorix 5.9

=== debian/changelog ===
linux-liquorix (5.9-9~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- andyprough <andyprough@protonmail.com>  Sat, 28 Nov 2020 15:14:35 -0600

linux-liquorix (5.9-9ubuntu1~xenial) xenial; urgency=medium

  * revert buggy patch that causes kernel panic on shutdown:
   - efivarfs: fix memory leak in efivarfs_create()
  * update version to 5.9.0-11.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 27 Nov 2020 10:49:58 -0600

linux-liquorix (5.9-8) unstable; urgency=medium

  * merge 5.9.11
  * update version to 5.9.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 24 Nov 2020 18:47:09 -0600

linux-liquorix (5.9-7) unstable; urgency=medium

  * merge 5.9.10
  * update version to 5.9.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 22 Nov 2020 11:35:54 -0600

linux-liquorix (5.9-6) unstable; urgency=medium

  * merge 5.9.9
  * update version to 5.9.0-9.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 18 Nov 2020 19:04:53 -0600

linux-liquorix (5.9-5) unstable; urgency=medium

  * merge 5.9.9 rc patches
  * update version to 5.9.0-8.3

 -- Steven Barrett <steven@liquorix.net>  Sun, 15 Nov 2020 16:24:14 -0600

linux-liquorix (5.9-4) unstable; urgency=medium

  * merge 5.9.9 rc patches
  * update version to 5.9.0-8.2

 -- Steven Barrett <steven@liquorix.net>  Tue, 10 Nov 2020 21:11:04 -0600

linux-liquorix (5.9-3) unstable; urgency=medium

  * merge 5.9.8
  * add fix for some bluetooth devices
   - Bluetooth: Fix: LL PRivacy BLE device fails to connect
  * update version to 5.9.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 10 Nov 2020 19:03:53 -0600

linux-liquorix (5.9-2) unstable; urgency=medium

  * merge 5.9.7
  * update version to 5.9.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 10 Nov 2020 08:57:29 -0600

linux-liquorix (5.9-1) unstable; urgency=medium

  * switch to kernel v5.9
  * merge 5.9.6
  * refresh configuration and debian patches
  * update version to 5.9.0-6.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 07 Nov 2020 12:54:01 -0600

linux-liquorix (5.8-17) unstable; urgency=medium

  * merge 5.8.18 rc patches
  * build android shared memory module statically
  * update version to 5.8.0-17.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 31 Oct 2020 14:49:42 -0500

linux-liquorix (5.8-16) unstable; urgency=medium

  * merge 5.8.17
  * update version to 5.8.0-17.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 29 Oct 2020 09:29:40 -0500

linux-liquorix (5.8-15) unstable; urgency=medium

  * merge 5.8.16
  * update version to 5.8.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 17 Oct 2020 21:51:59 -0500

linux-liquorix (5.8-14) unstable; urgency=medium

  * merge 5.8.15
  * update version to 5.8.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 14 Oct 2020 09:04:27 -0500

linux-liquorix (5.8-13) unstable; urgency=medium

  * merge 5.8.14
  * update version to 5.8.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 07 Oct 2020 09:03:53 -0500

linux-liquorix (5.8-12) unstable; urgency=medium

  * merge 5.8.13
  * build android shared memory as module
  * update version to 5.8.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 01 Oct 2020 18:15:53 -0500

linux-liquorix (5.8-11) unstable; urgency=medium

  * merge 5.8.13 rc patches
  * add fix for speaker configuration on ThinkPad X1 7th/8th gen
   - ALSA: hda/realtek - Improved routing for Thinkpad X1 7th/8th Gen
  * update version to 5.8.0-12.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 28 Sep 2020 07:59:50 -0500

linux-liquorix (5.8-10) unstable; urgency=medium

  * merge 5.8.12
  * update version to 5.8.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 26 Sep 2020 17:59:52 -0500

linux-liquorix (5.8-9) unstable; urgency=medium

  * merge 5.8.11
  * update version to 5.8.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 23 Sep 2020 09:25:18 -0500

linux-liquorix (5.8-8) unstable; urgency=medium

  * merge 5.8.10
  * update version to 5.8.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 17 Sep 2020 09:29:04 -0500
