## linux-liquorix 5.10

=== debian/changelog ===
linux-liquorix (5.10-8~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- andyprough <andyprough@protonmail.com>  Sun, 10 Jan 2021 23:45:20 -0600

linux-liquorix (5.10-8ubuntu1~bionic) bionic; urgency=medium

  * pull 5.10/fixes
   - Revert "btrfs: Fix 500-2000% performance regression w/ 5.10"
   - btrfs: fix deadlock when cloning inline extent and low on free metadata space
   - btrfs: shrink delalloc pages instead of full inodes
  * update version to 5.10.0-6.2

 -- Steven Barrett <steven@liquorix.net>  Sun, 10 Jan 2021 19:36:30 -0600

linux-liquorix (5.10-7) unstable; urgency=medium

  * merge 5.10.6
  * merge 5.10.7 rc patches
  * update version to 5.10.0-6.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 09 Jan 2021 10:32:24 -0600

linux-liquorix (5.10-6) unstable; urgency=medium

  * merge 5.10.5
  * merge 5.10.6 rc patches
  * enable missing ethernet drivers/features (IXGBE/IAVF/I40EVF/DCB)
  * update version to 5.10.0-5.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 06 Jan 2021 20:06:05 -0600

linux-liquorix (5.10-5) unstable; urgency=medium

  * add fix to muqss rqshare kernel cmdline
   - muqss: set_rqshare(): flip return value
  * add fix for hdmi silent stream deadlock
   - ALSA: hda/hdmi: fix silent stream for first playback to DP
   - ALSA: hda/hdmi: fix locking in silent_stream_disable
  * update version to 5.10.0-4.3

 -- Steven Barrett <steven@liquorix.net>  Fri, 01 Jan 2021 09:11:37 -0600

linux-liquorix (5.10-4) unstable; urgency=medium

  * update MuQSS from v0.204 to v0.205
  * update version to 5.10.0-4.2

 -- Steven Barrett <steven@liquorix.net>  Thu, 31 Dec 2020 09:25:52 -0600

linux-liquorix (5.10-3) unstable; urgency=medium

  * merge 5.10.4
  * allow MSR writes by default
  * update version to 5.10.0-4.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 30 Dec 2020 15:30:48 -0600

linux-liquorix (5.10-2) unstable; urgency=medium

  * disable CONFIG_BPF_PRELOAD
  * update version to 5.10.0-3.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 28 Dec 2020 19:52:33 -0600

linux-liquorix (5.10-1) unstable; urgency=medium

  * rebase to kernel v5.10
  * merge 5.10.3
  * update version to 5.10.0-3.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 27 Dec 2020 18:03:46 -0600

linux-liquorix (5.9-16) unstable; urgency=medium

  * merge 5.9.16
  * update version to 5.9.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Mon, 21 Dec 2020 09:14:21 -0600

linux-liquorix (5.9-15) unstable; urgency=medium

  * merge 5.9.15
  * merge changes in 5.9/fixes
    - drm/dp_mst: Support remote i2c writes
  * update version to 5.9.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 16 Dec 2020 13:07:47 -0600

linux-liquorix (5.9-14) unstable; urgency=medium

  * merge 5.9.14
  * update version to 5.9.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 12 Dec 2020 11:11:03 -0600

linux-liquorix (5.9-13) unstable; urgency=medium

  * merge 5.9.14 rc patches
  * set MTRR_SANITIZER_SPARE_REG_NR_DEFAULT to 0
  * update version to 5.9.0-13.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 09 Dec 2020 20:27:17 -0600

linux-liquorix (5.9-12) unstable; urgency=medium

  * merge 5.9.13
  * include cpupower, turbostat, and x86_energy_perf_policy in kernel headers
  * add profile script to /etc/profile.d to add tools to PATH
  * update version to 5.9.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 08 Dec 2020 09:25:34 -0600

linux-liquorix (5.9-11) unstable; urgency=medium

  * merge 5.9.12
  * raise debian package compat level to 10
  * include perf tool in kernel headers
  * update version to 5.9.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 02 Dec 2020 20:46:30 -0600

linux-liquorix (5.9-10) unstable; urgency=medium

  * merge recent fixes from zen-kernel
   - Bluetooth: Fix attempting to set RPA timeout when unsupported
   - Revert "net: tso: add UDP segmentation support"
  * update version to 5.9.0-11.3

 -- Steven Barrett <steven@liquorix.net>  Mon, 30 Nov 2020 08:40:58 -0600

linux-liquorix (5.9-9) unstable; urgency=medium

  * revert buggy patch that causes kernel panic on shutdown:
   - efivarfs: fix memory leak in efivarfs_create()
  * update version to 5.9.0-11.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 27 Nov 2020 10:49:58 -0600

linux-sidux-2.6 (2.6.26-33) uns
